Subject: Re: bug#14030: 24.3; expand-file-name expands remote file name on Windows incorrectly

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Mar 2013 08:11:03 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 25 Mar 2013 20:23:41 -0400
> 
> >> So your alias to `identity' is optimized just like `identity', IOW it's
> >> compiled away.
> > Can the optimizer be taught not to optimize like that if the condition
> > includes one of a list of known symbols?
> 
> The byte-compiler does not look at the `defalias' expression, only at
> the resulting value of (symbol-function 'tramp-drop-volume-letter), so
> it would require significant changes to be able to keep track of the
> corresponding info.  Also, `defalias' is a function, so by the time it
> is called it has no idea what expression was computed to get the
> function definition.

Too bad.  Maybe there are other ways to avoid inadvertently producing
platform-dependent byte code, or at least warn about its possibility.
Otherwise, we are at the mercy of our less than perfect attention, and
these incidents will surely happen again.